namespace: "player-swagkingthethird"
helm:
  releaseName: "player-swagkingthethird" 
  targetNamespace: "player-swagkingthethird" 
  repo: "https://gitlab.com/api/v4/projects/42239222/packages/helm/stable"
  chart: "player-swagkingthethird" 

  # add values if needed (Values like in values.yaml)
  values:
    nameOverride: ""
    fullnameOverride: ""
    replicas: 1

    image:
      registry: "registry.gitlab.com/the-microservice-dungeon/devops-team/msd-image-registry"
      name: "player-swagkingthethird"
      # set for specific version, if not set, value is Chart.version
      tag: latest
      pullPolicy: Always

    serviceAccount:
      # Specifies whether a service account should be created
      create: true
      # Annotations to add to the service account
      annotations: {}
      # The name of the service account to use.
      # If not set and create is true, a name is generated using the fullname template
      name: ""

    service:
      ports:
        - name: http
          port: 8080 # ! TODO: change container port, this port is for access across services (and ingress)
          targetPort: 8080 # ! TODO: change target port to port your application/service runs on
          protocol: TCP
          type: ClusterIP

      lb:
        enabled: false
      

    ingress:
      enabled: false
    

    # ! TODO: Readiness Probe remove '{}' and uncomment, if you use an health check endpoint
    readinessProbe: {}
    #  httpGet:
    #    path: /actuator/health # ! TODO: change to health check endpoint
    #    port: http
    #  initialDelaySeconds: 10
    #  periodSeconds: 10
    #  failureThreshold: 3
    #  successThreshold: 1

    # ! TODO: Liveness Probe remove '{}' and uncomment, if you use an health check endpoint
    livenessProbe: {}
    #  httpGet:
    #    path: /actuator/health # ! TODO: change to health check endpoint
    #    port: http
    #  initialDelaySeconds: 40
    #  periodSeconds: 10
    #  failureThreshold: 3
    #  successThreshold: 1

    # ! TODO: Tweak resources to your needs
    resources:
      requests:
        memory: "128Mi"
        cpu: "100m"
      limits:
        memory: "1G"
        cpu: "2"

    # temp volume for logs
    logVol:
      name: logs-volume
      mountPath: /app/logs
      sizeLimit: 500Mi


    configmap:
      data:
        GAME_URL: "http://game.game.svc.cluster.msd:8080" # ! TODO Substitute with correct game host
        RABBITMQ_HOST: "rabbitmq-service.rabbitmq.svc.cluster.msd"
        RABBITMQ_USERNAME: "admin"
        RABBITMQ_PASSWORD: "admin"
        RABBITMQ_PORT: "5672"

    env:
      - name: PLAYER_NAME
        value: "player-swagkingthethird"  # ! TODO: substitute with correct player name
      - name: PLAYER_EMAIL
        value: "ahmadbannout.ab@gmail.com"  # ! TODO: substitute with correct player email
      - name: DEV_MODE
        value: "false"
      - name: LOGGING_LEVEL
        value: "info"